tokudb_load(1)

NAME
tokudb_load

SYNOPSIS
tokudb_load [-TV] [-c name=value ] [-f file ] [-h home ] [-t btree ] db_file

DESCRIPTION
The tokudb_load program reads key/data pairs from standard input and writes them into a TokuDB database. The format of the key/data pairs is compatible with the tokudb_dump program and the Berkeley DB load and dump programs.

CONFORMING TO
The TokuDB embedded database provides a subset of the functionality of the Berkeley DB. Programs that work with TokuDB probably work with with most versions of Berkeley DB with only recompilation or relinking. The database files are incompatible, however, so to convert from one library to the other you would need to dump the database with one library's tool and load it with the other's.

UNSUPPORTED BDB OPTIONS

-n  Unsupported.

-P  Unsupported.

-t hash
    Unsupported.

-t recno
    Unsupported.

-t queue
    Unsupported.

-c keys=0
    Unsupported.

-c extentsize=value
    Unsupported.

-c h_ffactor=value
    Unsupported.

-c h_nelem=value
    Unsupported.

-c re_len=value
    Unsupported.

-c re_pad=value
    Unsupported.

-c renumber=value
    Unsupported.

-c recnum=value
    Unsupported.

IGNORED BDB OPTIONS
These options will be accepted but not alter behavior. They may be implemented in the future.

-c bt_minkey=value
    Unsupported.

-c chksum=value
    Unsupported.

-c db_lorder=value
    Unsupported.

-c db_pagesize=value
    Unsupported.

DIFFERENCES
Transactions are not yet supported. The database(s) to be loaded must not be currently in use.

AUTHOR
Tokutek, Inc.

COPYRIGHT
Copyright (c) 2007 Tokutek. All Rights Reserved.